#include<bits/stdc++.h>
using namespace std;
int main(){

	int v,br_nov,br_nov1,br_nov2,br_nov3;
	cin>>v;
	br_nov1=v/5;
    if(br_nov1)v-=br_nov1*5;
    br_nov2=v/2;
    if(br_nov2) v-=br_nov2*2;
	br_nov3=v/1;
	br_nov=br_nov1+br_nov2+br_nov3;
	
cout<<br_nov;

}